{% extends 'base.html.twig' %}

{% block title %}Kit{% endblock %}

{% block body %}

    {% include 'partial/header.html.twig' %}


<div class="background">

<div class="background">

        {{ form_start(registrationForm) }}

            {% if app.user %}
            <div class="mb-3">
                You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% endif %}

        <div class="register">
            <header>
                <div class="background1">
                    <div class="login-button1">
                        <div class="login-button2">                        
                            <a href="{{ path('app_register') }}">inscription</a>
                        </div>
                    </div>
                </div>
                <div class="background2">
                    <div class="register-button1">
                        <div class="register-button2">
                            <a href="{{ path('app_login') }}">connexion</a>
                        </div>
                    </div> 
                </div>
            </header>

            <div class="form-content">
                <div class="form-structure">
                    <div>
                       {{ form_row(registrationForm.email) }}
                    </div>

                    <div>
                        {{ form_row(registrationForm.nom) }}
                    </div>

                    <div>
                        {{ form_row(registrationForm.prenom) }}
                    </div>

                    <div>
                        {{ form_row(registrationForm.dateNaissance) }}
                    </div>


                    <div>
                        {{ form_row(registrationForm.plainPassword) }}
                    </div>

                    <div>
                        {{ form_row(registrationForm.verifyPassword) }}
                    </div>
                    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

                    <button type="submit" class="validate">Register</button>
                </div>
            </div>
        </div>
    {{ form_end(registrationForm) }} 
</div>
{% endblock %}










